MSGGREP(1)

NUME
msggrep - potrivire de modele în catalogul de mesaje

SINOPSIS
msggrep [OPȚIUNE] [FIȘIER_INTRARE]

DESCRIERE

Extrage toate mesajele dintr-un catalog de traducere care se potrivesc cu un model dat sau aparțin unor fișiere sursă date.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

  Locație fișier de intrare:

FIȘIER DE INTRARE
    fișier PO de intrare

-D, --directory=DIRECTOR
    adaugă DIRECTOR la listă pentru căutarea fișierelor de intrare

Dacă nu este dat nici un fișier de intrare sau dacă este „-”, se va citi intrarea standard.

  Locație fișier de ieșire:

-o, --output-file=FIȘIER
    scrie ieșirea în fișierul specificat

Rezultatele sunt scrise la ieșirea standard dacă nu este specificat niciun fișier de ieșire sau dacă acesta este „-”.

  Selecție mesaje:

    [-N FIȘIERSURSĂ]... [-M NUMEDOMENIU]... [-J MODEL-MSGCTXT] [-K MODEL-MSGID] [-T MODEL-MSGSTR] [-C MODEL-COMENTARIU] [-X MODEL-COMENTARIU-EXTRAS]

Un mesaj este selectat dacă provine dintr-unul dintre fișierele sursă specificate, dacă provine de la unul dintre domeniile specificate, dacă este dată opțiunea -J și contextul său (msgctxt) se potrivește cu MODEL-MSGCTXT, dacă este dată opțiunea -K și cheia sa (msgid sau msgid_plural) se potrivește cu MODEL-MSGID, dacă este dată opțiunea -T și traducerea sa (msgstr) se potrivește cu MODEL-MSGSTR, dacă este dată opțiunea -C și comentariul traducătorului se potrivește cu MODEL-COMENTARIU, sau dacă este dată opțiunea -X și comentariul extras se potrivește cu MODEL-COMENTARIU-EXTRAS.

Când este specificat mai mult de un criteriu de selecție, setul de mesaje selectate este uniunea mesajelor selectate ale fiecărui criteriu.

Sintaxa MODEL-MSGCTXT, MODEL-MSGID, MODEL-MSGSTR, MODEL-COMENTARIU, sau MODEL-COMENTARIU-EXTRAS:

    [-E | -F] [-e MODEL | -f FIȘIER]...

MODELELE sunt implicit, expresii regulate de bază, sau expresii regulate extinse, dacă este dată opțiunea -E, sau șiruri fixe dacă este dată opțiunea -F.

-N, --location=FIȘIER_SURSĂ
    selectează mesajele extrase din FIȘIER_SURSĂ

-M, --domain=NUME_DOMENIU
    selectează mesajele aparținând domeniului NUME_DOMENIU

-J, --msgctxt
    începutul modelelor pentru msgctxt

-K, --msgid
    începutul modelelor pentru msgid

-T, --msgstr
    începutul modelelor pentru msgstr

-C, --comment
    începutul modelelor pentru comentariul traducătorului

-X, --extracted-comment
    începutul modelelor pentru comentariul extras

-E, --extended-regexp
    MODEL este o expresie regulată extinsă

-F, --fixed-strings
    MODEL este un set de șiruri separate prin linii noi

-e, --regexp=MODEL
    folosește MODEL ca expresie regulată

-f, --file=FIȘIER
    obține MODEL din FIȘIER

-i, --ignore-case
    ignoră distincția dintre majuscule și minuscule

-v, --invert-match
    afișează numai mesajele care nu corespund niciunui criteriu de selecție

  Sintaxă fișier de intrare:

-P, --properties-input
    fișierul de intrare este în sintaxa Java .properties

--stringtable-input
    fișierul de intrare este în sintaxa NeXTstep/GNUstep .strings

  Detalii ieșire:

--color
    utilizează întotdeauna culori și alte atribute ale textului

--color=CÂND
    utilizează culori și alte atribute ale textului dacă VALOARE. VALOARE poate fi: „always” (întotdeauna), „never” (niciodată), „auto” sau „html”.

--style=FIȘIER_DE_STIL
    specifică fișierul cu reguli de stil CSS pentru opțiunea --color

--no-escape
    nu utilizează eludări C în ieșire (implicit)

--escape
    folosește eludări C în ieșire, fără caractere extinse

--force-po
    scrie fișierul PO chiar dacă este gol

--indent
    scrie fișierul .po folosind stil indentat

--no-location
    suprimă liniile „#: nume_fișier:linie”

-n, --add-location
    păstrează liniile „#: nume_fișier:linie” (implicit)

--strict
    scrie ieșirea în stil strict Uniforum

-p, --properties-output
    scrie un fișier .properties Java

--stringtable-output
    scrie un fișier .strings NeXTstep/GNUstep

-w, --width=NUMĂR
    stabilește lățimea paginii de ieșire

--no-wrap
    nu împarte liniile lungi de mesaj, mai lungi decât lățimea paginii de ieșire, în mai multe linii

--sort-output
    generează ieșire ordonată alfanumeric

--sort-by-file
    ordonează ieșirea după locația fișierului

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

AUTOR
Scris de Bruno Haible.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 2001-2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru msggrep este menținută ca un manual Texinfo. Dacă programele info și msggrep sunt instalate corect pe sistemul dumneavoastră, comanda

    info msggrep

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.